Skip to main content
`Ctrl`+`K`
scipy.sparse.

# isspmatrix_lil

scipy.sparse.isspmatrix_lil(x)

  Is x of lil_matrix type?

  Parameters:
    x

      object to check for being a lil matrix

  Returns:
    bool

      True if x is a lil matrix, False otherwise

  Examples

      >>> from scipy.sparse import lil_array, lil_matrix, coo_matrix, isspmatrix_lil
      >>> isspmatrix_lil(lil_matrix([[5]]))
      True
      >>> isspmatrix_lil(lil_array([[5]]))
      False
      >>> isspmatrix_lil(coo_matrix([[5]]))
      False